Bug 1111684 - startx doesn't add -nolisten tcp by default
Summary: startx doesn't add -nolisten tcp by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-xinit
Version: 20
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-20 17:53 UTC by hanishkvc
Modified: 2014-09-23 05:01 UTC (History)
2 users (show)

Fixed In Version: xorg-x11-xinit-1.3.4-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-14 03:26:43 UTC
Type: Bug


Attachments (Terms of Use)

Description hanishkvc 2014-06-20 17:53:29 UTC
Description of problem:
When systemd is configured for multi-user.target and one uses startx to manually start a GUI/Desktop environment. It is found that X is started with out passing the security critical -nolisten tcp argument.

Version-Release number of selected component (if applicable):
xorg-x11-xinit-1.3.2-9.fc20.x86_64

How reproducible:
Always

Steps to Reproduce:
1. configure systemd for multi-user.target instead of graphical.target
2. run startx after logining into a console tty
3. check ps ax | grep X 

Actual results:
/usr/bin/X :0 vt1 -auth /home/user/.serverauth.XYZA

Expected results:
/usr/bin/X :0 vt1 -nolisten tcp -auth /home/user/.serverauth.XYZA

Additional info:
For now one is required to manually pass -nolisten tcp to startx as below

startx -- -nolisten tcp

Comment 1 Hans de Goede 2014-09-11 16:43:35 UTC
Good point, I've written a patch adding "-nolisten tcp" by default when using startx this can be negated by using a new startx only -listen server option.

I'll release updated packages with this fix included shortly.

Comment 2 Fedora Update System 2014-09-12 07:12:59 UTC
xorg-x11-xinit-1.3.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/xorg-x11-xinit-1.3.4-1.fc21

Comment 3 Fedora Update System 2014-09-12 07:14:29 UTC
xorg-x11-xinit-1.3.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xorg-x11-xinit-1.3.4-1.fc20

Comment 4 Fedora Update System 2014-09-12 17:47:19 UTC
Package xorg-x11-xinit-1.3.4-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xorg-x11-xinit-1.3.4-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10768/xorg-x11-xinit-1.3.4-1.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-09-14 03:26:43 UTC
xorg-x11-xinit-1.3.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-09-23 05:01:49 UTC
xorg-x11-xinit-1.3.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.